Bug 1047920 - [new relic] Edit route exists for applications with no matching controller method
Summary: [new relic] Edit route exists for applications with no matching controller me...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Management Console
Version: 1.x
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Jessica Forrester
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-02 15:11 UTC by Jessica Forrester
Modified: 2014-01-30 00:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-30 00:54:32 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jessica Forrester 2014-01-02 15:11:24 UTC
Description of problem:
The /application/:id/edit route is enabled in the rails routes for the mgmt console but there is no matching controller.  Attempting to hit a URL of that type will create an error in the logs like:

"The action 'edit' could not be found for ApplicationsController"

This route should not be enabled and attempting to access it should throw a routing error instead, like:

"ActionController::RoutingError (No route matches [GET] "/console/application/52c57f928eb5f14acd000002-php/edit")"

Version-Release number of selected component (if applicable):
Found in PROD

How reproducible:
Always

Comment 1 Jessica Forrester 2014-01-02 19:16:19 UTC
fix is in https://github.com/openshift/origin-server/pull/4405

Comment 2 openshift-github-bot 2014-01-02 20:30:18 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/ce717d55d19393395a44d3075c30dc97871141f0
Bug 1047920 - application edit route should not be enabled

Comment 3 Tian Feng 2014-01-03 07:29:15 UTC
Test on devenv_4177.
When access /console/application/52c661e601647909f40000c9-php/edit page, it will through "ActionController::RoutingError (No route matches [GET] "/console/application/52c661e601647909f40000c9-php/edit"):"
So verify this bug. Thanks!


Note You need to log in before you can comment on or make changes to this bug.